Loading...
Searching...
No Matches
casacore::TaQLUpdateNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining an update command. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLUpdateNodeRep (const TaQLMultiNode &with, const TaQLMultiNode &tables, const TaQLMultiNode &update, const TaQLMultiNode &from, const TaQLNode &where, const TaQLNode &sort, const TaQLNode &limitoff)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLMultiNode | itsWith
TaQLMultiNode | itsTables
TaQLMultiNode | itsUpdate
TaQLMultiNode | itsFrom
TaQLNode | itsWhere
TaQLNode | itsSort
TaQLNode | itsLimitOff

## Detailed Description

Raw TaQL parse tree node defining an update command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the parts for an update command. The tables to be used can be defined in two parts: the main one in the UPDATE clause, possible other ones in the FROM command.

Definition at line 869 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLUpdateNodeRep()

casacore::TaQLUpdateNodeRep::TaQLUpdateNodeRep | ( | const TaQLMultiNode & | with,
|  | const TaQLMultiNode & | tables,
|  | const TaQLMultiNode & | update,
|  | const TaQLMultiNode & | from,
|  | const TaQLNode & | where,
|  | const TaQLNode & | sort,
|  | const TaQLNode & | limitoff )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLUpdateNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLUpdateNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLUpdateNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLUpdateNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsFrom

TaQLMultiNode casacore::TaQLUpdateNodeRep::itsFrom

Definition at line 884 of file TaQLNodeDer.h.

## itsLimitOff

TaQLNode casacore::TaQLUpdateNodeRep::itsLimitOff

Definition at line 887 of file TaQLNodeDer.h.

## itsSort

TaQLNode casacore::TaQLUpdateNodeRep::itsSort

Definition at line 886 of file TaQLNodeDer.h.

## itsTables

TaQLMultiNode casacore::TaQLUpdateNodeRep::itsTables

Definition at line 882 of file TaQLNodeDer.h.

## itsUpdate

TaQLMultiNode casacore::TaQLUpdateNodeRep::itsUpdate

Definition at line 883 of file TaQLNodeDer.h.

## itsWhere

TaQLNode casacore::TaQLUpdateNodeRep::itsWhere

Definition at line 885 of file TaQLNodeDer.h.

## itsWith

TaQLMultiNode casacore::TaQLUpdateNodeRep::itsWith

Definition at line 881 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h